개발 일기

[Spring] Cannot change version of project facet Dynamic Web Module to 2.5. Maven Java EE Configuration Problem 에러시 본문

웹개발/Spring

[Spring] Cannot change version of project facet Dynamic Web Module to 2.5. Maven Java EE Configuration Problem 에러시

사용자 wwwnghks 2020. 10. 29. 17:48

Cannot change version of project facet Dynamic Web Module to 2.5. 에러 발생시

 

 

프로젝트 우클릭 -> Build Path -> Configure Build Path... -> 우측탭에서  Project Facets 선택 -> Dynamic Web Module 의 버전 3.1로 변경 후 Apply

 

Dynamic Web Module 의 버전을 변경해주었는데도 변경이 안될경우에는 아래 방법을 사용한다.

 

프로젝트 내의 web.xml을 수정해준다.

변경 전

<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns="http://java.sun.com/xml/ns/javaee" 
xmlns:web="http://java.sun.com/xml/ns/javaee"  
xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" 
id="WebApp_ID" version="2.5">

 

변경 후

<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns="http://java.sun.com/xml/ns/javaee" 
xmlns:web="http://java.sun.com/xml/ns/javaee"  
xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_1.xsd" 
id="WebApp_ID" version="3.1">
0 Comments
댓글쓰기 폼